A connector API endpoint for creating Microsoft Azure tenant connectors.
Input ParameterInput Parameter
|
Parameter |
Mandatory/Optional |
Data Type |
Description |
|
applicationId |
Mandatory |
String |
Unique identifier of the application you create on Azure portal. |
|
secretValue |
Mandatory |
String |
The secret key value generated after you provide permission to the application to access the Windows Azure Service. |
|
tenantId |
Mandatory |
String |
The Tenant ID of the Azure account you want to fetch the Management Group. |
|
name |
Mandatory |
String |
A unique name for the tenant connector you want to create. |
|
description |
Optional |
String |
Description of the tenant connector you want to create. |
|
connectorAppInfos |
Mandatory |
String |
It holds the list of ConnectorAppInfo which includes App Name, identifiers and tag details. Connector can choose one or more apps from list [AI, CI, CSA]. |
|
orgRunFrequency |
Mandatory |
Integer |
runFrequency for an tenant connector decides the rate at which the connector should poll the cloud provider and fetch the data. Specified in minutes. |
|
connectorRunFrequency |
Mandatory |
Integer |
runFrequency for a connector decides the rate at which the connector should poll the cloud provider and fetch the data. Specified in minutes. |
|
includedMem |
Optional |
String |
List of management groups to include. |
|
excludedMem |
Optional |
String |
List of management groups to exclude. |
|
isCreateConnector ForNewSubscriptions Automatically |
Optional |
Boolean |
Boolean to determine whether new connectors should be automatically created for new cloud subscriptions. |
|
isDisableConnectors ForDeletedManagemen tGroups |
Optional |
Boolean |
Boolean to determine whether connectors should be automatically disabled when a management group is deleted. |
|
autoActivateCertView |
Optional |
Boolean |
Automatically activate CertView application for newly created connectors. |
|
autoActivatePC |
Optional |
Boolean |
Automatically activate Policy Compliance application for newly created connectors. |
|
autoActivateSCA |
Optional |
Boolean |
Automatically activate Security Configuration Assesment application for newly created connectors. |
|
autoActivateVM |
Optional |
Boolean |
Automatically activate Vulnerability Management application for newly created connectors. |
|
defaultTagIds |
Optional |
String |
IDs of tags for cloud resources |
|
connectorPrefixName |
Mandatory |
String |
The prefix name for member connectors of the tenant. Character limit is 30. Cannot be edited after Org connector is created. |
|
tenantName |
Mandatory |
String |
Name of the Azure Tenant to which the tenant belongs |
Sample: Create a New Tenant ConnectorSample: Create a New Tenant Connector
Create a tenant connector for your Azure account.
API request
curl --location "https://<QualysGatewayURL>/connectors/v1.0/org/azure/ --header 'Authorization: Bearer xxxxxxxxxxxxxxxxxxxxxxxxxxxx' \ --header 'Content-Type: application/json' \
Request Data
{
"name": "Azure Org",
"description": "azure org connector description",
"connectorAppInfos": [
{
"identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"name": "AI",
"tagId": null
},
{
"identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"name": "CI",
"tagId": null
},
{
"identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"name": "CSA",
"tagId": null
}
],
"isRemediationEnabled": true,
"tenantName": "Tenant name",
"tenantId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"applicationId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"secretValue": "xxxxx~xxxxxxxxxxxxxxxxxxxxxxx_xxxxxxxxx",
"orgRunFrequency": {
"hours": 1,
"minutes": 0
},
"connectorPrefixName": "createdbyorg",
"connectorRunFrequency": {
"hours": 1,
"minutes": 0
},
"excludedMem": [],
"includedMem": [
"TestingManagementGroup"
],
"isCreateConnectorForNewSubscriptionsAutomatically": true,
"isDisableConnectorsForDeletedManagementGroups": true,
"autoActivateCV": false,
"autoActivateCertView": false,
"autoActivatePC": false,
"autoActivateSCA": false,
"autoActivateVM": false,
"defaultTagIds": []
}
Response
{
"id": xxxxxx,
"name": "Azure Org",
"description": "azure org connector description",
"uuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"orgRunFrequency": {
"hours": 1,
"minutes": 0
},
"connectorRunFrequency": {
"hours": 1,
"minutes": 0
},
"lastSynced": "2023-05-17T05:19:11.727+00:00",
"nextSync": "2023-05-17T06:19:11.727+00:00",
"type": "AZURE",
"customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"userUuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"userName": "abcde_xxxx",
"lastError": null,
"state": "PENDING",
"connectorPrefixName": "createdbyorg",
"defaultTagIds": [],
"connectorAppInfos": [
{
"name": "AI",
"identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx,
"tagId": null,
"tagMetadata": null
},
{
"name": "CI",
"identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"tagId": null,
"tagMetadata": null
},
{
"name": "CSA",
"identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"tagId": null,
"tagMetadata": null
}
],
"connectorCapabilities": [
"AI",
"CI",
"CSA"
],
"lastSuccessfulSync": "2023-05-17T05:19:11.727+00:00",
"createdBy": "Test User",
"organizationId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"tenantId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"applicationId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"autoActivateVM": false,
"autoActivatePC": false,
"autoActivateSCA": false,
"autoActivateCertView": false,
"autoActivateCV": false,
"includedMem": [
"TestingManagementGroup"
],
"excludedMem": [],
"createConnectorForNewSubscriptionsAutomatically": true,
"disableConnectorsForDeletedManagementGroups": true,
"disabled": false,
"deleted": false,
"remediationEnabled": true
}